org.eclipse.mat.ui.internal.viewer

## Class RefinedTreeViewer.TreeAdapter

- java.lang.Object
- - org.eclipse.mat.ui.internal.viewer.RefinedTreeViewer.TreeAdapter

Enclosing class:
  RefinedTreeViewer

    public class RefinedTreeViewer.TreeAdapter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TreeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Item item, Font font)`
`void` `apply(Item item, int index, String label)`
`void` `apply(Item item, int index, String label, Color color, Font font)`
`Item` `createColumn(Column queryColumn, int index, SelectionListener listener)`
`Composite` `createControl(Composite parent)`
`ControlEditor` `createEditor()`
`Rectangle` `getBounds(Item item, int index)`
`int[]` `getColumnOrder()`
`int` `getColumnWidth(int col)`
`Font` `getFont()`
`Rectangle` `getImageBounds(Item item, int index)`
`Item` `getItem(Item item, int index)`
`Item` `getItem(Point pt)`
`int` `getItemCount(Item item)`
`int` `getLineHeightEstimation()`
`Item` `getParentItem(Item item)`
`Item[]` `getSelection()`
`Item` `getSortColumn()`
`int` `getSortDirection()`
`Rectangle` `getTextBounds(Widget item, int index)`
`int` `indexOf(Item item)`
`void` `setColumnOrder(int[] order)`
`void` `setColumnWidth(int col, int width)`
`void` `setEditor(Composite composite, Item item, int columnIndex)`
`void` `setExpanded(Item item, boolean expanded)`
`void` `setItemCount(Item item, int count)`
`void` `setSortColumn(Item column)`
`void` `setSortDirection(int direction)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeAdapter

    public TreeAdapter()

### Method Detail

#### createControl

    public Composite createControl(Composite parent)

#### createEditor

    public ControlEditor createEditor()

#### getItem

    public Item getItem(Item item,
                        int index)

#### setExpanded

    public void setExpanded(Item item,
                            boolean expanded)

#### setItemCount

    public void setItemCount(Item item,
                             int count)

#### getItem

    public Item getItem(Point pt)

#### setEditor

    public void setEditor(Composite composite,
                          Item item,
                          int columnIndex)

#### getParentItem

    public Item getParentItem(Item item)

#### getSelection

    public Item[] getSelection()

#### createColumn

    public Item createColumn(Column queryColumn,
                             int index,
                             SelectionListener listener)

#### getFont

    public Font getFont()

#### getSortColumn

    public Item getSortColumn()

#### getSortDirection

    public int getSortDirection()

#### setSortColumn

    public void setSortColumn(Item column)

#### setSortDirection

    public void setSortDirection(int direction)

#### getItemCount

    public int getItemCount(Item item)

#### indexOf

    public int indexOf(Item item)

#### getBounds

    public Rectangle getBounds(Item item,
                               int index)

#### getTextBounds

    public Rectangle getTextBounds(Widget item,
                                   int index)

#### getImageBounds

    public Rectangle getImageBounds(Item item,
                                    int index)

#### apply

    public void apply(Item item,
                      int index,
                      String label,
                      Color color,
                      Font font)

#### apply

    public void apply(Item item,
                      Font font)

#### apply

    public void apply(Item item,
                      int index,
                      String label)

#### getLineHeightEstimation

    public int getLineHeightEstimation()

#### getColumnOrder

    public int[] getColumnOrder()

#### setColumnOrder

    public void setColumnOrder(int[] order)

#### getColumnWidth

    public int getColumnWidth(int col)

#### setColumnWidth

    public void setColumnWidth(int col,
                               int width)